# Uses of Class
io.dapr.client.domain.ConfigurationItem

Packages that use ConfigurationItem
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of ConfigurationItem in io.dapr.client

Methods in io.dapr.client that return types with arguments of type ConfigurationItem
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Map<String,ConfigurationItem>>`
DaprClient.`getConfiguration(GetConfigurationRequest request)`
Retrieve Map of configurations based on a provided configuration request object.
`reactor.core.publisher.Mono<ConfigurationItem>`
DaprClient.`getConfiguration(String storeName, String key)`
Retrieve a configuration based on a provided key.
`reactor.core.publisher.Mono<Map<String,ConfigurationItem>>`
DaprClient.`getConfiguration(String storeName, String... keys)`
Retrieve Map of configurations based on a provided variable number of keys.
`reactor.core.publisher.Mono<ConfigurationItem>`
DaprClient.`getConfiguration(String storeName, String key, Map<String,String> metadata)`
Retrieve a configuration based on a provided key.
`reactor.core.publisher.Mono<Map<String,ConfigurationItem>>`
DaprClient.`getConfiguration(String storeName, List<String> keys, Map<String,String> metadata)`
Retrieve Map of configurations based on a provided variable number of keys.
`reactor.core.publisher.Mono<Map<String,ConfigurationItem>>`
DaprClientImpl.`getConfiguration(GetConfigurationRequest request)`
Retrieve Map of configurations based on a provided configuration request object.

## Uses of ConfigurationItem in io.dapr.client.domain

Methods in io.dapr.client.domain that return types with arguments of type ConfigurationItem
Modifier and Type
Method
Description
`Map<String,ConfigurationItem>`
SubscribeConfigurationResponse.`getItems()`
Constructor parameters in io.dapr.client.domain with type arguments of type ConfigurationItem
Modifier
Constructor
Description
``
`SubscribeConfigurationResponse(String id, Map<String,ConfigurationItem> items)`
Constructor for SubscribeConfigurationResponse.